CLOG_mergelogs(4)

NAME
CLOG_mergelogs - merge individual logfiles into one via messages

SYNOPSIS
void CLOG_mergelogs( shift, execfilename, logtype )
int shift;
char *execfilename;
int logtype;
first argument says whether to do time-shifiting or not second arg is filename On process 0 in MPI_COMM_WORLD, collect logs from other processes and merge them with own log. Timestamps are assumed to be already adjusted on both incoming logs and the master's. On the other processes, fill in length and process id's and send them, a block at a time, to the master. The master writes out the merged log.

LOCATION
clog_merge.c